@ECHO OFF

REM --- Camera and Path Settings ---
set cameraIP=192.168.1.1
set binPath=C:\batch\Motion
set imagePath=C:\images\motion
set /a numImages=50
set timePause=400
set netLocation=http://computer/webcam

REM --- EMail Settings ---
set eMail=name@domain.com
set eSender=%computername%@domain.local
set subj=-s "Serverroom Motion Detected"
set server=-server 192.168.1.2

REM Create Folder Name based on date and time
for /f "Tokens=1-4 Delims=/ " %%i in ('date /t') do  set DT=%%i-%%j-%%k-%%l
for /f "Tokens=1" %%i in ('echo %time%') do set TM=-%%i
set TM=%TM::=-%
set DTT=%DT%%TM%
md %imagePath%\%DTT%

set /a numImages=%numImages% - 1

REM Prepare HTML index
%binPath%\printf.exe "<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n" > %imagePath%\%DTT%\index.html
%binPath%\printf.exe "<html>\n<head>\n <meta http-equiv=\"Content-Type\" content=\"text/html;charset=utf-8\">\n <title>" >> %imagePath%\%DTT%\index.html
%binPath%\printf.exe %DTT% >> %imagePath%\%DTT%\index.html
%binPath%\printf.exe "</title>\n</head>\n<body>\n" >> %imagePath%\%DTT%\index.html


REM Start getting images
%binPath%\gethttp.exe -f "%imagePath%\%DTT%\image000.jpg" %cameraIP%/jpg/image.jpg
%binPath%\blat.exe -to %eMail% -f %eSender% -body "<br /><img src="cid:image000.jpg"><a href="%netLocation%/%DTT%/index.html">View All Images</a>" %subj% %server% -embed %imagePath%\%DTT%\image000.jpg -html
%binPath%\convert.exe %imagePath%\%DTT%\image000.jpg -thumbnail 120x90 %imagePath%\%DTT%\thumb_image000.jpg
%binPath%\printf.exe "<a href=\"image000.jpg\"><img src=\"thumb_image000.jpg\" alt=\"image000.jpg\" border=\"0\"></a>\n" >> %imagePath%\%DTT%\index.html
%binPath%\sleep.exe %timePause%

for /l %%i in (1,1,%numImages%) do (
  for /f "Tokens=1" %%j in ('%binPath%\printf.exe %%03d %%i') do (%binPath%\gethttp.exe -f "%imagePath%\%DTT%\image%%j.jpg" %cameraIP%/jpg/image.jpg) && %binPath%\convert.exe %imagePath%\%DTT%\image%%j.jpg -thumbnail 120x90 %imagePath%\%DTT%\thumb_image%%j.jpg && %binPath%\printf.exe "<a href=\"image"%%j".jpg\"><img src=\"thumb_image"%%j".jpg\" alt=\"image"%%j".jpg\" border=\"0\"></a>\n" >> %imagePath%\%DTT%\index.html
  %binPath%\sleep.exe %timePause%
)

REM Finish HTML index
%binPath%\printf.exe "</body>\n</html>" >> %imagePath%\%DTT%\index.html
